Table of Contents

## Name

XvQueryExtension - return version and release of extension

## Syntax

#include <X11/extensions/Xvlib.h>

XvQueryExtension(dpy, p_version, p_release,
p_request_base, p_event_base, p_error_base)

Display *dpy;
unsigned int *p_version, *p_release;
unsigned int *p_request_base, *p_event_base, *p_error_base;

## Arguments

Pointer to where the current version number of the Xv video extension is written.

Pointer to where the release number of the Xv video extension is written.

Pointer to where the extension major request number is returned

Pointer to where the extension event base is returned

Pointer to where the extension error base is returned

## Description

XvQueryExtension(3X) returns the version and release numbers for the Xv video extension currently loaded on the system. The extension major request number, event base, and error base are also returned.

## Returned Values

Returned if XvQueryExtension(3X) completed successfully.

Returned if the Xv video extension is not available for the named display.

Returned if XvQueryExtension(3X) failed to allocate memory to process the request.

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Returned Values